# -*- coding: utf-8 -*-

children = []
models = [
    {'model_name': 'store', 'model_label': 'store'},
    {'model_name': 'storeaddress', 'model_label': 'store address'},
    {'model_name': 'storecause', 'model_label': 'store cause'},
    {'model_name': 'storedocument', 'model_label': 'store document'},
    {'model_name': 'storedocumentnumber', 'model_label': 'store document number'},
]

for model in models:
    add_entry = {
        "title": f"add {model['model_label']}",
        "url_name": f"admin:store_{model['model_name']}_add",
        "perms": [f"store.add_{model['model_name']}"],
    }
    children.append(add_entry)
    list_entry = {
        "title": f"list {model['model_label']}",
        "url_name": f"admin:store_{model['model_name']}_changelist",
        "perms": [
            f"store.view_{model['model_name']}",
            f"store.change_{model['model_name']}"
        ],
    }
    children.append(list_entry)

menu_items = [{
    'title': 'store',
    'url_name': {'viewname': 'admin:app_list', 'kwargs': {'app_label': 'store'}},
    'perms': ['store.*'],
    'children': children
}]
